JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const agent = await client.agents.retrieve('agent_abc123');
console.log(agent.id);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
agent = client.agents.retrieve(
"agent_abc123",
)
print(agent.id)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
agent, err := client.Agents.Get(context.TODO(), "agent_abc123")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", agent.ID)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
agent = cerca.agents.retrieve("agent_abc123")
puts(agent)cerca agents retrieve \
--api-key 'My API Key' \
--agent-id agent_abc123curl --request GET \
--url https://api.cerca.dev/agents/{agentId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.cerca.dev/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.asString();{
"configuration": {
"approvals": {
"tools": {},
"timeoutMs": 123
},
"defaultModel": "<string>",
"instructions": "<string>",
"tools": [
"<string>"
]
},
"createdAt": "<string>",
"fleetId": "<string>",
"executionPrincipal": {
"kind": "user",
"userId": "<string>"
},
"id": "<string>",
"metadata": {
"project": "alpha"
},
"orgId": "<string>",
"updatedAt": "<string>",
"userId": "<string>",
"effective": {
"approvals": {
"tools": {},
"timeoutMs": 123
},
"approvalsWritableByAgent": true,
"defaultModel": "<string>",
"lockedByFleet": [],
"resolvedFromFleet": [],
"tools": [],
"instructions": "<string>"
}
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Agents
Retrieve agent
GET
/
agents
/
{agentId}
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const agent = await client.agents.retrieve('agent_abc123');
console.log(agent.id);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
agent = client.agents.retrieve(
"agent_abc123",
)
print(agent.id)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
agent, err := client.Agents.Get(context.TODO(), "agent_abc123")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", agent.ID)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
agent = cerca.agents.retrieve("agent_abc123")
puts(agent)cerca agents retrieve \
--api-key 'My API Key' \
--agent-id agent_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"agent_abc123"
Response
Agent details.
Show child attributes
Show child attributes
- UserExecutionPrincipal
- ApiKeyExecutionPrincipal
Show child attributes
Show child attributes
Arbitrary string metadata stored on an agent. Runtime enforces maximum key and value sizes.
Show child attributes
Show child attributes
Example:
{ "project": "alpha" }
Show child attributes
Show child attributes
⌘I